Subject: Refund(s) and order history
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 14 Mar 2018 11:13:39 -0400

Hello.
    I have returned 2 items from the same order (#Y7QK6X36KNFZ), which have been received (according to the tracking on 3/6/18 and 3/9/18). Please let me know of the status of these returns and when I can expect to received my refund.
    Secondly, I sent an email in regards to my history not being available with my account. I sent an email on 2/26/18 and the last correspondence I received was on 2/27/18 was from a Garrett Butler who asked what email was to be associated with the history. I replied immediately to that email and have since sent 2 follow up emails but have not heard back. I will send another follow up email and copy this email so you can see at least some of the email string which includes the order history. If you could follow up on this as well, it would be greatly appreciated!
Thank you,
Michael Bishop